'use strict';

var p = require('react');
var B = require('@radix-ui/react-label');
var classVarianceAuthority = require('class-variance-authority');
var clsx = require('clsx');
var jsxRuntime = require('react/jsx-runtime');
var z = require('@radix-ui/react-switch');
var v = require('@radix-ui/react-tabs');
var g = require('@radix-ui/react-scroll-area');
var reactSlot = require('@radix-ui/react-slot');
var reactIcons = require('@radix-ui/react-icons');
var Mt = require('embla-carousel-react');
var l = require('@radix-ui/react-select');
var m = require('@radix-ui/react-navigation-menu');

function _interopDefault (e) { return e && e.__esModule ? e : { default: e }; }

function _interopNamespace(e) {
	if (e && e.__esModule) return e;
	var n = Object.create(null);
	if (e) {
		Object.keys(e).forEach(function (k) {
			if (k !== 'default') {
				var d = Object.getOwnPropertyDescriptor(e, k);
				Object.defineProperty(n, k, d.get ? d : {
					enumerable: true,
					get: function () { return e[k]; }
				});
			}
		});
	}
	n.default = e;
	return Object.freeze(n);
}

var p__namespace = /*#__PURE__*/_interopNamespace(p);
var B__namespace = /*#__PURE__*/_interopNamespace(B);
var z__namespace = /*#__PURE__*/_interopNamespace(z);
var v__namespace = /*#__PURE__*/_interopNamespace(v);
var g__namespace = /*#__PURE__*/_interopNamespace(g);
var Mt__default = /*#__PURE__*/_interopDefault(Mt);
var l__namespace = /*#__PURE__*/_interopNamespace(l);
var m__namespace = /*#__PURE__*/_interopNamespace(m);

var st=Object.defineProperty,lt=Object.defineProperties;var dt=Object.getOwnPropertyDescriptors;var L=Object.getOwnPropertySymbols;var j=Object.prototype.hasOwnProperty,F=Object.prototype.propertyIsEnumerable;var H=(t,e,r)=>e in t?st(t,e,{enumerable:!0,configurable:!0,writable:!0,value:r}):t[e]=r,n=(t,e)=>{for(var r in e||(e={}))j.call(e,r)&&H(t,r,e[r]);if(L)for(var r of L(e))F.call(e,r)&&H(t,r,e[r]);return t},c=(t,e)=>lt(t,dt(e));var s=(t,e)=>{var r={};for(var o in t)j.call(t,o)&&e.indexOf(o)<0&&(r[o]=t[o]);if(t!=null&&L)for(var o of L(t))e.indexOf(o)<0&&F.call(t,o)&&(r[o]=t[o]);return r};function i(...t){return clsx.clsx(t)}var pt=classVarianceAuthority.cva("text-sm font-medium leading-none peer-disabled:cursor-not-allowed peer-disabled:opacity-70"),ft=p__namespace.forwardRef((o,r)=>{var a=o,{className:t}=a,e=s(a,["className"]);return jsxRuntime.jsx(B__namespace.Root,n({ref:r,className:i(pt(),t)},e))});ft.displayName=B__namespace.Root.displayName;var wt=p__namespace.forwardRef((a,o)=>{var d=a,{className:t,children:e}=d,r=s(d,["className","children"]);return jsxRuntime.jsx(z__namespace.Root,c(n({className:i("peer inline-flex h-5 w-9 shrink-0 cursor-pointer items-center rounded-full border-2 border-transparent shadow-sm transition-colors focus-visible:outline-none focus-visible:ring-2 focus-visible:ring-ring focus-visible:ring-offset-2 focus-visible:ring-offset-background disabled:cursor-not-allowed disabled:opacity-50 data-[state=checked]:bg-primary data-[state=unchecked]:bg-input",t)},r),{ref:o,children:jsxRuntime.jsx(z__namespace.Thumb,{className:i("pointer-events-none block h-4 w-4 rounded-full bg-background shadow-lg ring-0 transition-transform data-[state=checked]:translate-x-4 data-[state=unchecked]:translate-x-0")})}))});wt.displayName=z__namespace.Root.displayName;var we=v__namespace.Root,gt=p__namespace.forwardRef((o,r)=>{var a=o,{className:t}=a,e=s(a,["className"]);return jsxRuntime.jsx(v__namespace.List,n({ref:r,className:i("inline-flex h-9 items-center justify-center rounded-lg bg-muted p-0 text-muted-foreground",t)},e))});gt.displayName=v__namespace.List.displayName;var ht=p__namespace.forwardRef((o,r)=>{var a=o,{className:t}=a,e=s(a,["className"]);return jsxRuntime.jsx(v__namespace.Trigger,n({ref:r,className:i("inline-flex items-center justify-center whitespace-nowrap rounded-md px-3 py-1 text-sm font-medium ring-offset-background transition-all focus-visible:outline-none focus-visible:ring-2 focus-visible:ring-ring focus-visible:ring-offset-2 disabled:pointer-events-none disabled:opacity-50 data-[state=active]:bg-background data-[state=active]:text-foreground data-[state=active]:shadow","h-full",t)},e))});ht.displayName=v__namespace.Trigger.displayName;var vt=p__namespace.forwardRef((o,r)=>{var a=o,{className:t}=a,e=s(a,["className"]);return jsxRuntime.jsx(v__namespace.Content,n({ref:r,className:i("mt-2 ring-offset-background focus-visible:outline-none focus-visible:ring-2 focus-visible:ring-ring focus-visible:ring-offset-2",t)},e))});vt.displayName=v__namespace.Content.displayName;var bt=p__namespace.forwardRef((d,a)=>{var w=d,{className:t,children:e,viewportProps:r}=w,o=s(w,["className","children","viewportProps"]);return jsxRuntime.jsxs(g__namespace.Root,c(n({ref:a,className:i("relative overflow-hidden h-full w-full max-h-full",t)},o),{children:[jsxRuntime.jsx(g__namespace.Viewport,c(n({className:i("h-full w-full rounded-[inherit]",r==null?void 0:r.className)},r),{children:e})),jsxRuntime.jsx(q,{}),jsxRuntime.jsx(g__namespace.Corner,{})]}))});bt.displayName=g__namespace.Root.displayName;var q=p__namespace.forwardRef((a,o)=>{var d=a,{className:t,orientation:e="vertical"}=d,r=s(d,["className","orientation"]);return jsxRuntime.jsx(g__namespace.ScrollAreaScrollbar,c(n({ref:o,orientation:e,className:i("flex touch-none select-none transition-colors",e==="vertical"&&"h-full w-2.5 border-l border-l-transparent p-[1px]",e==="horizontal"&&"h-2.5 flex-col border-t border-t-transparent p-[1px]",t)},r),{children:jsxRuntime.jsx(g__namespace.ScrollAreaThumb,{className:"relative flex-1 rounded-full bg-border"})}))});q.displayName=g__namespace.ScrollAreaScrollbar.displayName;var kt=classVarianceAuthority.cva("inline-flex items-center justify-center whitespace-nowrap rounded-md text-sm font-medium transition-colors focus-visible:outline-none focus-visible:ring-1 focus-visible:ring-ring disabled:pointer-events-none disabled:opacity-50",{variants:{variant:{default:"bg-primary text-primary-foreground shadow hover:bg-primary/90",destructive:"bg-destructive text-destructive-foreground shadow-sm hover:bg-destructive/90",outline:"border border-input bg-background shadow-sm hover:bg-accent hover:text-accent-foreground",secondary:"bg-secondary text-secondary-foreground shadow-sm hover:bg-secondary/80",ghost:"hover:bg-accent hover:text-accent-foreground",link:"text-primary underline-offset-4 hover:underline"},size:{default:"h-9 px-4 py-2",sm:"h-8 rounded-md px-3 text-xs",lg:"h-10 rounded-md px-8",icon:"h-9 w-9"}},defaultVariants:{variant:"default",size:"default"}}),A=p__namespace.forwardRef((w,d)=>{var h=w,{className:t,variant:e,size:r,asChild:o=!1}=h,a=s(h,["className","variant","size","asChild"]);return jsxRuntime.jsx(o?reactSlot.Slot:"button",n({className:i(kt({variant:e,size:r,className:t})),ref:d},a))});A.displayName="Button";var Nt=classVarianceAuthority.cva("inline-flex items-center rounded-md border px-2.5 py-0.5 text-xs font-semibold transition-colors focus:outline-none focus:ring-2 focus:ring-ring focus:ring-offset-2",{variants:{variant:{default:"border-transparent bg-primary text-primary-foreground shadow hover:bg-primary/80",secondary:"border-transparent bg-secondary text-secondary-foreground hover:bg-secondary/80",destructive:"border-transparent bg-destructive text-destructive-foreground shadow hover:bg-destructive/80",outline:"text-foreground"}},defaultVariants:{variant:"default"}});function Le(o){var a=o,{className:t,variant:e}=a,r=s(a,["className","variant"]);return jsxRuntime.jsx("div",n({className:i(Nt({variant:e}),t)},r))}var Q=p__namespace.createContext(null);function I(){let t=p__namespace.useContext(Q);if(!t)throw new Error("useCarousel must be used within a <Carousel />");return t}var Lt=p__namespace.forwardRef((N,h)=>{var P=N,{orientation:t="horizontal",opts:e,setApi:r,plugins:o,className:a,children:d}=P,w=s(P,["orientation","opts","setApi","plugins","className","children"]);let[et,f]=Mt__default.default(c(n({},e),{axis:t==="horizontal"?"x":"y"}),o),[rt,at]=p__namespace.useState(!1),[ot,it]=p__namespace.useState(!1),C=p__namespace.useCallback(R=>{R&&(at(R.canScrollPrev()),it(R.canScrollNext()));},[]),W=p__namespace.useCallback(()=>{f==null||f.scrollPrev();},[f]),K=p__namespace.useCallback(()=>{f==null||f.scrollNext();},[f]),nt=p__namespace.useCallback(R=>{R.key==="ArrowLeft"?(R.preventDefault(),W()):R.key==="ArrowRight"&&(R.preventDefault(),K());},[W,K]);return p__namespace.useEffect(()=>{!f||!r||r(f);},[f,r]),p__namespace.useEffect(()=>{if(f)return C(f),f.on("reInit",C),f.on("select",C),()=>{f==null||f.off("select",C);}},[f,C]),jsxRuntime.jsxs(Q.Provider,{value:{carouselRef:et,api:f,opts:e,orientation:t||((e==null?void 0:e.axis)==="y"?"vertical":"horizontal"),scrollPrev:W,scrollNext:K,canScrollPrev:rt,canScrollNext:ot},children:[jsxRuntime.jsx("div",{className:i("hidden","basis-0","basis-1/1","basis-1/2","basis-1/3","basis-1/4","basis-1/5","basis-1/6","basis-1/7","basis-1/8","basis-1/9","basis-1/10","basis-1/11","basis-1/12","basis-1/13","basis-1/14","basis-1/15","basis-1/16","basis-1/17","basis-1/18","basis-1/19","basis-1/20")}),jsxRuntime.jsx("div",c(n({ref:h,onKeyDownCapture:nt,className:i("relative","w-full",a),role:"region","aria-roledescription":"carousel"},w),{children:d}))]})});Lt.displayName="Carousel";var Et=p__namespace.forwardRef((o,r)=>{var a=o,{className:t}=a,e=s(a,["className"]);let{carouselRef:d,orientation:w}=I();return jsxRuntime.jsx("div",{ref:d,className:"overflow-hidden",children:jsxRuntime.jsx("div",n({ref:r,className:i("flex",w==="horizontal"?"-ml-4":"-mt-4 flex-col",t)},e))})});Et.displayName="CarouselContent";var At=p__namespace.forwardRef((o,r)=>{var a=o,{className:t}=a,e=s(a,["className"]);let{orientation:d}=I();return jsxRuntime.jsx("div",n({ref:r,role:"group","aria-roledescription":"slide",className:i("min-w-0 shrink-0 grow-0 basis-full",d==="horizontal"?"pl-4":"pt-4",t)},e))});At.displayName="CarouselItem";var It=p__namespace.forwardRef((d,a)=>{var w=d,{className:t,variant:e="outline",size:r="icon"}=w,o=s(w,["className","variant","size"]);let{orientation:h,scrollPrev:N,canScrollPrev:P}=I();return jsxRuntime.jsxs(A,c(n({ref:a,variant:e,size:r,className:i("absolute  h-8 w-8 rounded-full",h==="horizontal"?"-left-12 top-1/2 -translate-y-1/2":"-top-12 left-1/2 -translate-x-1/2 rotate-90",t),disabled:!P,onClick:N},o),{children:[jsxRuntime.jsx(reactIcons.ArrowLeftIcon,{className:"h-4 w-4"}),jsxRuntime.jsx("span",{className:"sr-only",children:"Previous slide"})]}))});It.displayName="CarouselPrevious";var Wt=p__namespace.forwardRef((d,a)=>{var w=d,{className:t,variant:e="outline",size:r="icon"}=w,o=s(w,["className","variant","size"]);let{orientation:h,scrollNext:N,canScrollNext:P}=I();return jsxRuntime.jsxs(A,c(n({ref:a,variant:e,size:r,className:i("absolute h-8 w-8 rounded-full",h==="horizontal"?"-right-12 top-1/2 -translate-y-1/2":"-bottom-12 left-1/2 -translate-x-1/2 rotate-90",t),disabled:!P,onClick:N},o),{children:[jsxRuntime.jsx(reactIcons.ArrowRightIcon,{className:"h-4 w-4"}),jsxRuntime.jsx("span",{className:"sr-only",children:"Next slide"})]}))});Wt.displayName="CarouselNext";var je=l__namespace.Root,Fe=t=>jsxRuntime.jsx(l__namespace.Group,c(n({},t),{className:i(t.className,"text-popovertext")})),Oe=l__namespace.Value,Yt=p__namespace.forwardRef((a,o)=>{var d=a,{className:t,children:e}=d,r=s(d,["className","children"]);return jsxRuntime.jsxs(l__namespace.Trigger,c(n({ref:o,className:i("flex h-9 w-full items-center justify-between whitespace-nowrap rounded-md border border-input bg-transparent px-3 py-2 text-sm shadow-sm ring-offset-background placeholder:text-muted-foreground focus:outline-none focus:ring-1 focus:ring-ring disabled:cursor-not-allowed disabled:opacity-50 [&>span]:line-clamp-1",t)},r),{children:[e,jsxRuntime.jsx(l__namespace.Icon,{asChild:!0,children:jsxRuntime.jsx(reactIcons.CaretSortIcon,{className:"h-4 w-4 opacity-50"})})]}))});Yt.displayName=l__namespace.Trigger.displayName;var Ge=p__namespace.forwardRef((a,o)=>{var d=a,{className:t,children:e}=d,r=s(d,["className","children"]);return jsxRuntime.jsx(l__namespace.Trigger,c(n({asChild:!0,ref:o,className:i("flex h-9 w-full items-center justify-center whitespace-nowrap disabled:cursor-not-allowed disabled:opacity-50 [&>span]:line-clamp-1",t)},r),{children:e}))}),Z=p__namespace.forwardRef((o,r)=>{var a=o,{className:t}=a,e=s(a,["className"]);return jsxRuntime.jsx(l__namespace.ScrollUpButton,c(n({ref:r,className:i("flex cursor-default items-center justify-center py-1",t)},e),{children:jsxRuntime.jsx(reactIcons.ChevronUpIcon,{})}))});Z.displayName=l__namespace.ScrollUpButton.displayName;var $=p__namespace.forwardRef((o,r)=>{var a=o,{className:t}=a,e=s(a,["className"]);return jsxRuntime.jsx(l__namespace.ScrollDownButton,c(n({ref:r,className:i("flex cursor-default items-center justify-center py-1",t)},e),{children:jsxRuntime.jsx(reactIcons.ChevronDownIcon,{})}))});$.displayName=l__namespace.ScrollDownButton.displayName;var Dt=p__namespace.forwardRef((w,d)=>{var h=w,{className:t,children:e,position:r="popper",viewportClassName:o}=h,a=s(h,["className","children","position","viewportClassName"]);return jsxRuntime.jsx(l__namespace.Portal,{children:jsxRuntime.jsxs(l__namespace.Content,c(n({ref:d,className:i("relative z-50 max-h-96 min-w-[8rem] overflow-hidden border bg-popover text-popover-foreground shadow-md data-[state=open]:animate-in data-[state=closed]:animate-out data-[state=closed]:fade-out-0 data-[state=open]:fade-in-0 data-[state=closed]:zoom-out-95 data-[state=open]:zoom-in-95 data-[side=bottom]:slide-in-from-top-2 data-[side=left]:slide-in-from-right-2 data-[side=right]:slide-in-from-left-2 data-[side=top]:slide-in-from-bottom-2"," border-border border-[1px]",r==="popper"&&"data-[side=bottom]:translate-y-1 data-[side=left]:-translate-x-1 data-[side=right]:translate-x-1 data-[side=top]:-translate-y-1"," z-50",t),position:r},a),{children:[jsxRuntime.jsx(Z,{className:" text-popover-foreground"}),jsxRuntime.jsx(l__namespace.Viewport,{className:i("py-[16px]",r==="popper"&&"h-[var(--radix-select-trigger-height)] w-full min-w-[var(--radix-select-trigger-width)]",o),children:e}),jsxRuntime.jsx($,{})]}))})});Dt.displayName=l__namespace.Content.displayName;var Ut=p__namespace.forwardRef((o,r)=>{var a=o,{className:t}=a,e=s(a,["className"]);return jsxRuntime.jsx(l__namespace.Label,n({ref:r,className:i("px-2 py-1.5 text-sm font-semibold",t)},e))});Ut.displayName=l__namespace.Label.displayName;var Ht=p__namespace.forwardRef((a,o)=>{var d=a,{className:t,children:e}=d,r=s(d,["className","children"]);return jsxRuntime.jsxs(l__namespace.Item,c(n({ref:o,className:i("relative flex w-full  select-none items-center rounded-sm py-1.5 px-[12px] pr-[22px]  text-sm outline-none focus:bg-accent text-popovertext   focus:text-accent-foreground cursor-pointer  data-[disabled]:cursor-not-allowed data-[disabled]:pointer-events-none data-[disabled]:opacity-50",t)},r),{children:[jsxRuntime.jsx("span",{className:"absolute right-2 flex h-3.5 w-3.5 items-center justify-center ",children:jsxRuntime.jsx(l__namespace.ItemIndicator,{children:jsxRuntime.jsx(reactIcons.CheckIcon,{className:"h-4 w-4"})})}),jsxRuntime.jsx(l__namespace.ItemText,{className:"",children:e})]}))});Ht.displayName=l__namespace.Item.displayName;var jt=p__namespace.forwardRef((o,r)=>{var a=o,{className:t}=a,e=s(a,["className"]);return jsxRuntime.jsx(l__namespace.Separator,n({ref:r,className:i("-mx-1 my-1 h-px bg-muted",t)},e))});jt.displayName=l__namespace.Separator.displayName;function M(r){var o=r,{className:t}=o,e=s(o,["className"]);return jsxRuntime.jsx("div",n({className:i("Skeleton","animate-pulse",t)},e))}var Ft=()=>jsxRuntime.jsx(M,{className:"rounded-full"}),er=({children:t,loading:e=!0,isEmpty:r=!1})=>e?jsxRuntime.jsx("div",{className:"SkeletonKitFlexWrap",children:jsxRuntime.jsxs("div",{className:"SkeletonKitWrap",children:[jsxRuntime.jsxs("div",{className:"SkeletonKit",children:[jsxRuntime.jsx(Ft,{}),jsxRuntime.jsxs("div",{className:"SkeletonKitRight",children:[jsxRuntime.jsx(M,{className:"SkeletonKitRightLine1"}),jsxRuntime.jsx(M,{className:"SkeletonKitRightLine2"})]})]}),jsxRuntime.jsx(M,{className:"SkeletonKitRightLine3"}),jsxRuntime.jsx(M,{className:"SkeletonKitRightLine3"})]})}):r?jsxRuntime.jsx("div",{className:"SkeletonKitFlexWrap",children:jsxRuntime.jsx("span",{className:"SkeletonKitEmptySpan",children:"\u6682\u65E0\u6570\u636E"})}):t;var Gt=p__namespace.forwardRef((a,o)=>{var d=a,{className:t,children:e}=d,r=s(d,["className","children"]);return jsxRuntime.jsxs(m__namespace.Root,c(n({ref:o,className:i("relative z-10 flex max-w-max flex-1 items-center justify-center",t)},r),{children:[e,jsxRuntime.jsx(tt,{})]}))});Gt.displayName=m__namespace.Root.displayName;var _t=p__namespace.forwardRef((o,r)=>{var a=o,{className:t}=a,e=s(a,["className"]);return jsxRuntime.jsx(m__namespace.List,n({ref:r,className:i("group flex flex-1 list-none items-center justify-center",t)},e))});_t.displayName=m__namespace.List.displayName;var sr=m__namespace.Item,qt=classVarianceAuthority.cva("group inline-flex w-max items-center justify-center rounded-md transition-colors  disabled:pointer-events-none disabled:opacity-50"),Jt=p__namespace.forwardRef((d,a)=>{var w=d,{className:t,children:e,asChild:r}=w,o=s(w,["className","children","asChild"]);return jsxRuntime.jsx(m__namespace.Trigger,c(n({ref:a,className:i(qt(),"group",t)},o),{children:e}))});Jt.displayName=m__namespace.Trigger.displayName;var Qt=p__namespace.forwardRef((o,r)=>{var a=o,{className:t}=a,e=s(a,["className"]);return jsxRuntime.jsx(m__namespace.Content,n({ref:r,className:i("left-0 top-0 w-full data-[motion^=from-]:animate-in data-[motion^=to-]:animate-out data-[motion^=from-]:fade-in data-[motion^=to-]:fade-out data-[motion=from-end]:slide-in-from-right-52 data-[motion=from-start]:slide-in-from-left-52 data-[motion=to-end]:slide-out-to-right-52 data-[motion=to-start]:slide-out-to-left-52 md:absolute md:w-auto ",t)},e))});Qt.displayName=m__namespace.Content.displayName;var lr=m__namespace.Link,tt=p__namespace.forwardRef((o,r)=>{var a=o,{className:t}=a,e=s(a,["className"]);return jsxRuntime.jsx("div",{className:i("absolute left-0 top-full flex  justify-center","w-full"),children:jsxRuntime.jsx(m__namespace.Viewport,n({className:i("origin-top-center relative mt-1.5 h-[var(--radix-navigation-menu-viewport-height)] w-full overflow-hidden data-[state=open]:animate-in data-[state=closed]:animate-out data-[state=closed]:zoom-out-95 data-[state=open]:zoom-in-90 md:w-[var(--radix-navigation-menu-viewport-width)]",t),ref:r},e))})});tt.displayName=m__namespace.Viewport.displayName;var Zt=p__namespace.forwardRef((o,r)=>{var a=o,{className:t}=a,e=s(a,["className"]);return jsxRuntime.jsx(m__namespace.Indicator,c(n({ref:r,className:i("top-full z-[1] flex h-1.5 items-end justify-center overflow-hidden data-[state=visible]:animate-in data-[state=hidden]:animate-out data-[state=hidden]:fade-out data-[state=visible]:fade-in",t)},e),{children:jsxRuntime.jsx("div",{className:"relative top-[60%] h-2 w-2 rotate-45 rounded-tl-sm bg-border shadow-md"})}))});Zt.displayName=m__namespace.Indicator.displayName;

exports.Badge = Le;
exports.Button = A;
exports.Carousel = Lt;
exports.CarouselContent = Et;
exports.CarouselItem = At;
exports.CarouselNext = Wt;
exports.CarouselPrevious = It;
exports.Label = ft;
exports.NavigationMenu = Gt;
exports.NavigationMenuContent = Qt;
exports.NavigationMenuIndicator = Zt;
exports.NavigationMenuItem = sr;
exports.NavigationMenuLink = lr;
exports.NavigationMenuList = _t;
exports.NavigationMenuTrigger = Jt;
exports.NavigationMenuViewport = tt;
exports.ScrollArea = bt;
exports.ScrollBar = q;
exports.Select = je;
exports.SelectContent = Dt;
exports.SelectGroup = Fe;
exports.SelectItem = Ht;
exports.SelectLabel = Ut;
exports.SelectScrollDownButton = $;
exports.SelectScrollUpButton = Z;
exports.SelectSeparator = jt;
exports.SelectTrigger = Yt;
exports.SelectTriggerOnlyChildren = Ge;
exports.SelectValue = Oe;
exports.Skeleton = M;
exports.SkeletonKit = er;
exports.SkeletonRoundFull = Ft;
exports.Switch = wt;
exports.Tabs = we;
exports.TabsContent = vt;
exports.TabsList = gt;
exports.TabsTrigger = ht;
exports.badgeVariants = Nt;
exports.buttonVariants = kt;
exports.navigationMenuTriggerStyle = qt;
//# sourceMappingURL=out.js.map
//# sourceMappingURL=index.cjs.map